<!DOCTYPE html>
<html lang="de">

<head>
	<meta charset="utf-8" />
	<meta name="viewport" content="width=device-width, initial-scale=1" />
	<meta name="keywords" content="todo,foo,bar" />
	<meta name="description" content="TODO" />
	<title>Yeet</title>
	<script src="https://cdn.jsdelivr.net/gh/pocketbase/js-sdk@master/dist/pocketbase.umd.js"></script>
	<script type="text/javascript">
		async function login() {

			const pb = new PocketBase('http://127.0.0.1:8090');

			// This method initializes a one-off realtime subscription and will
			// open a popup window with the OAuth2 vendor page to authenticate.
			//
			// Once the external OAuth2 sign-in/sign-up flow is completed, the popup
			// window will be automatically closed and the OAuth2 data sent back
			// to the user through the previously established realtime connection.
			//
			// If the popup is being blocked on Safari, you can try the suggestion from:
			// https://github.com/pocketbase/pocketbase/discussions/2429#discussioncomment-5943061.
			const authData = await pb.collection('users').authWithOAuth2({provider: 'gitlab'});

			// after the above you can also access the auth data from the authStore
			console.log(pb.authStore.isValid);
			console.log(pb.authStore.token);
			console.log(pb.authStore.model.id);

			// "logout" the last authenticated model
			pb.authStore.clear();
		}
		login();
	</script>
</head>

<body>
	<p>Guten Tag.</p>
</body>

</html>
